﻿@model BinanceOrdersViewModel
@{
    ViewBag.Title = "لیست سفارش های بایننس";
}

<div class="container">
    <div class="row m-t-30">
        <div class="col-md-12">
            @if (Model.Symbols != null && Model.Symbols.Any())
            {
                var groups = Model.Symbols.Where(p => p.Pair.HasValue()).DistinctBy(p => p.Pair.Split('_')[1]).Select(p => p.Pair.Split('_')[1]).ToList();
                <div class="form-group row">
                    <div class="col-md-12">
                        <label for="Pair">انتخاب جفت ارز</label>
                        <select id="Pair" name="Pair" class="form-control">
                            <option>جفت ارز مورد نظر را انتخاب نمایید</option>
                            @foreach (var groupName in groups)
                            {
                                <optgroup label="@groupName">@groupName</optgroup>
                                var groupedItems = Model.Symbols.Where(p => p.Pair.HasValue() && p.Pair.Split('_')[1] == groupName).ToList();
                                foreach (var item in groupedItems)
                                {
                                    <option value="@item.Symbol">@item.Symbol</option>
                                }
                            }
                        </select>
                    </div>
                </div>
            }
        </div>
        <div class="col-md-12" id="OrdersContainer">

        </div>
    </div>
</div>

@section scripts{
    @Scripts.Render("~/js/jqueryval")
    <script type="text/javascript">
        var url = "@Url.Action("Orders","Binance")";
        $('select').select2();
        $('#Pair').on('change', function () {
            var val = $(this).val();
            if (val) {
                loadAjax(url + "?symbol=" + val, "#OrdersContainer");
            } else {
                $('#OrdersContainer').html('');
            }
        });
    </script>
}